Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface VariableTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface VariableTree
      extends StatementTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for a variable declaration statement. For example:

         var name [ initializer ] ;
         var binding_pattern [ initializer ];

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getBinding()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the binding of this declaration.
    `ExpressionTree` | `getInitializer()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the initial value expression for this variable.
    `boolean` | `isConst()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a const declaration?
    `boolean` | `isLet()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a let declaration?

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getBinding

          ExpressionTree getBinding()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the binding of this declaration. This is an `IdentifierTree` for a binding identifier case (simple variable declaration). This is an `ObjectLiteralTree` or a `ArrayLiteralTree` for a destructuring declaration.
      Returns:
        the binding expression of this declaration

    - #### getInitializer

          ExpressionTree getInitializer()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the initial value expression for this variable. This is null if no initial value for this variable.
      Returns:
        the initial value expression

    - #### isConst

          boolean isConst()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this a const declaration?
      Returns:
        true if this is a const declaration

    - #### isLet

          boolean isLet()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this a let declaration?
      Returns:
        true if this is a let declaration